From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/testssl/
Date: Sat, 16 Mar 2019 05:00:54 +0000 (UTC) [thread overview]
Message-ID: <1552712443.99166c6c9252da84182358815688bb24202147de.kensington@gentoo> (raw)
commit: 99166c6c9252da84182358815688bb24202147de
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 16 05:00:23 2019 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Mar 16 05:00:43 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99166c6c
net-analyzer/testssl: version bump 2.9.5_p7
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>
net-analyzer/testssl/Manifest | 1 +
net-analyzer/testssl/testssl-2.9.5_p7.ebuild | 74 ++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/net-analyzer/testssl/Manifest b/net-analyzer/testssl/Manifest
index e5f73e08e9f..5d7991e9fe1 100644
--- a/net-analyzer/testssl/Manifest
+++ b/net-analyzer/testssl/Manifest
@@ -1 +1,2 @@
DIST testssl-2.9.5_p5.tar.gz 8955523 BLAKE2B dcafb0931ddfb9d653acf79f72d2e30b2acc4a80246ecb3f26eaa35d4a69d5af65123005de34d09c563978593450895bf451b866182fd3ea38bdb121fb8e9385 SHA512 8a26989e1b8f45a2ac25efab500c89eeec2dbdbb9c0af715a61433ce0737ed69221df09a9554b6ae4415081a66ef4f6afd44c92405afefe4a810cb4375988700
+DIST testssl-2.9.5_p7.tar.gz 8955971 BLAKE2B 6ca3bc60445c9448c3dc24ee7262e57bc03a2c686bbeebcc1cc850edfa652538c1ba5365189c27e78f0cb977e68d2ea1a9f940d47cd0a53402d1fa9a31a33483 SHA512 35ab900b84db8a0a210cb9ce8bb794ff7e8cddd5c85a151083bc76eba834dce37597b29b6235fcf2ce37b004dd295b1756e01374a4943e1e2ed0d2a8cf8761f6
diff --git a/net-analyzer/testssl/testssl-2.9.5_p7.ebuild b/net-analyzer/testssl/testssl-2.9.5_p7.ebuild
new file mode 100644
index 00000000000..72ba2c885af
--- /dev/null
+++ b/net-analyzer/testssl/testssl-2.9.5_p7.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN}.sh"
+MY_PV="${PV/_p/-}"
+
+DESCRIPTION="Tool to check TLS/SSL cipher support"
+HOMEPAGE="https://testssl.sh/"
+SRC_URI="https://github.com/drwetter/${MY_PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2 bundled-openssl? ( openssl )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bundled-openssl kerberos"
+
+RDEPEND="
+ app-shells/bash[net]
+ net-dns/bind-tools
+ sys-apps/util-linux
+ sys-libs/ncurses:0
+ sys-process/procps
+ bundled-openssl? (
+ kerberos? (
+ sys-libs/zlib
+ virtual/krb5
+ )
+ )
+ !bundled-openssl? ( dev-libs/openssl:0 )
+"
+
+S=${WORKDIR}/${MY_PN}-${MY_PV}
+
+QA_PREBUILT="opt/${PN}/*"
+
+pkg_setup() {
+ if use amd64; then
+ if use kerberos; then
+ BUNDLED_OPENSSL="openssl.Linux.x86_64.krb5"
+ else
+ BUNDLED_OPENSSL="openssl.Linux.x86_64"
+ fi
+ elif use x86; then
+ BUNDLED_OPENSSL="openssl.Linux.i686"
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i ${PN}.sh \
+ -e 's|TESTSSL_INSTALL_DIR="${TESTSSL_INSTALL_DIR:-""}"|TESTSSL_INSTALL_DIR="/"|' \
+ -e 's|$TESTSSL_INSTALL_DIR/etc/|&testssl/|g' || die
+
+ if use bundled-openssl; then
+ sed -i ${PN}.sh \
+ -e "/find_openssl_binary()/a OPENSSL=\"/opt/${PN}/${BUNDLED_OPENSSL}\"" || die
+ fi
+}
+
+src_install() {
+ dodoc CHANGELOG.stable-releases.txt CREDITS.md Readme.md
+ dodoc openssl-rfc.mappping.html
+
+ dobin ${PN}.sh
+
+ insinto /etc/${PN}
+ doins etc/*
+
+ if use bundled-openssl; then
+ exeinto /opt/${PN}
+ use amd64 && doexe bin/${BUNDLED_OPENSSL}
+ fi
+}
next reply other threads:[~2019-03-16 5:00 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-03-16 5:00 Michael Palimaka [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-05 17:41 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/testssl/ Conrad Kostecki
2024-06-06 1:58 Sam James
2024-01-03 22:15 Sam James
2023-04-21 11:16 Michael Palimaka
2023-03-25 6:07 Sam James
2023-03-25 5:57 Sam James
2023-03-25 4:56 Michael Palimaka
2022-10-01 2:55 Michael Palimaka
2022-06-17 12:07 Jakov Smolić
2022-06-17 10:44 Jakov Smolić
2022-04-24 12:52 Michael Palimaka
2022-02-25 1:57 Michael Palimaka
2021-12-02 6:40 Michael Palimaka
2021-10-26 7:54 Michael Palimaka
2021-10-26 7:45 Michael Palimaka
2021-09-22 6:54 Agostino Sarubbo
2021-09-21 6:37 Agostino Sarubbo
2021-06-04 7:38 Michael Palimaka
2021-02-05 9:34 Michael Palimaka
2021-02-04 7:58 Agostino Sarubbo
2021-02-03 23:55 Thomas Deutschmann
2020-11-24 11:42 Michael Palimaka
2020-07-01 9:08 Michael Palimaka
2020-06-28 20:56 Thomas Deutschmann
2020-06-26 17:43 Agostino Sarubbo
2020-05-11 11:24 Michael Palimaka
2020-04-21 9:07 Michael Palimaka
2020-03-28 3:04 Michael Palimaka
2020-03-20 9:04 Agostino Sarubbo
2020-03-20 8:59 Agostino Sarubbo
2020-02-10 11:33 Michael Palimaka
2020-02-10 11:18 Michael Palimaka
2019-11-26 12:27 Agostino Sarubbo
2019-11-26 0:58 Thomas Deutschmann
2019-08-04 9:45 Michael Palimaka
2019-04-25 2:23 Michael Palimaka
2019-04-18 20:32 Thomas Deutschmann
2019-04-17 11:47 Mikle Kolyada
2018-10-11 13:23 Michael Palimaka
2018-10-06 10:54 Michael Palimaka
2018-08-22 14:54 Richard Farina
2018-08-10 11:47 Michael Palimaka
2018-08-10 11:47 Michael Palimaka
2018-06-11 0:00 Michael Palimaka
2017-10-31 12:59 Michael Palimaka
2017-10-31 12:59 Michael Palimaka
2017-09-24 5:40 Michael Palimaka
2017-06-04 10:34 Agostino Sarubbo
2017-06-03 12:56 Michael Palimaka
2017-04-17 3:06 Michael Palimaka
2015-10-05 14:19 Michael Palimaka
2015-10-04 16:23 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1552712443.99166c6c9252da84182358815688bb24202147de.kensington@gentoo \
--to=kensington@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox